
From: Tom Zanussi <zanussi@us.ibm.com>

This patch adds missing documentation to the subbuf_start() callback.  Thanks
to Mathieu Desnoyers for pointing it out.

Signed-off-by: Tom Zanussi <zanussi@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/relayfs_fs.h |    3 +++
 1 files changed, 3 insertions(+)

diff -puN include/linux/relayfs_fs.h~relayfs-function-docfix include/linux/relayfs_fs.h
--- 25/include/linux/relayfs_fs.h~relayfs-function-docfix	Fri Jun 24 16:16:59 2005
+++ 25-akpm/include/linux/relayfs_fs.h	Fri Jun 24 16:16:59 2005
@@ -89,6 +89,9 @@ struct rchan_callbacks
 	 * @prev_subbuf_idx: the previous sub-buffer's index
 	 * @prev_subbuf: the start of the previous sub-buffer
 	 *
+	 * The client should return the number of bytes it reserves at
+	 * the beginning of the sub-buffer, 0 if none.
+	 *
 	 * NOTE: subbuf_start will also be invoked when the buffer is
 	 *       created, so that the first sub-buffer can be initialized
 	 *       if necessary.  In this case, prev_subbuf will be NULL.
_
